TLS Error: QuickBooks Online Internet Explorer Security Changes

TLS Error: QuickBooks Online Internet Explorer Security Changes

From 22nd May 2017, QuickBooks Online no longer supporting the Internet Explorer TLS (Transport Layer Security) setting of 1.0 or TLS 1.1. Moving further, QuickBooks Online requires an Internet Explorer(IE) setting of TLS 1.2 only. If you access on it via Internet Explorer(Windows) then this will impact your access to QB Online. But in another browser like Google Chrome or Firefox, this does not impact any changes.

For Windows 10 & IE 11 Users: If you are a frequent user of  Internet Explorer 11, then one thing you should know properly that in IE 11 TLS 1.2 is enabled by default, so you need to confirm TLS 1.2 is enabled.

Windows 7/8/8.1 & IE 9/10 users only: In Internet Explorer 9 or 10 TLS 1.2 is not enabled by default, so you need to upgrade your Internet Explorer to 11 or enable TLS 1.2 in your browser settings.

For XP/Vista or IE 8 users only: Users of IE 8 or Windows XP/Vista are recommended to upgrade their OS to a later version to get IE 11, where you can use TLS 1.2.

If you are facing problems during export of your Quickbooks Desktop data to Quickbooks Online, or unable to sign-in Quickbooks Online, then here are some important steps you can go through;

Move to Quickbooks Online from Quickbooks Desktop

If you are facing trouble during moving Quickbooks Online from Quickbooks Desktop then you will need to verify your  Internet Explorer TLS security settings to ensure it is enabled for TLS 1.2.

Windows 10 users: Windows 10 has built-in Internet Explorer 11, so TLS 1.2 is enabled by default. By following steps you will need to confirm whether TLS 1.2 is enabled or not.

  • Firstly, close the Quickbooks Desktop.
  • Then open IE.
  • Go to the tools menu.
  • Then select Internet options.
  • Select the Advanced tab and scroll down to the Security section.
  • Now, check to see if you have TLS 1.2 enabled. If not, check the box to enable it.
  • Select Ok
  • Now, close IE then reopens Quickbooks Desktop and see if that resolved your problem.

Windows XP or Vista users: It is impossible to upgrade past Internet Explorer 8 on Windows XP or Vista, so you will need to upgrade your Windows operating system to a later version that is officially supported by Microsoft.

If you are trying to access or sign-in to QuickBooks Online

Your TLS settings are depending on the operating system (OS). So you have to check your operating system. If you are accessing QuickBooks Online from Internet Explorer.

Windows 10 users: In window 10, there is already has Internet Explorer 11 and TLS 1.2 by default.

You can check that TLS 1.2 enable or not by following these steps.

  • Click on the tools menu on Internet Explorer.
  • After that Choose Internet Options.
  • Click on the Advanced tab and scroll down to the Security section.
  • To Verify, see if you have TLS 1.2 enabled,  if not, check the box to enable it.
  • Click on OK.
  • After that Close Internet Explorer And then reopen it. Now sign in to https://qbo.intuit.com

Windows 7/8/8.1 users:  You have to upgrade to Internet Explorer 11 if you are still using Windows older version 7, 8, 8.1. Or you have to enable TLS 1.2 from your internet explorer settings If you want to keep Internet Explorer 9 or 10. If you already have Internet Explorer 11, verify your TLS settings below.

  • From the Tools menu on Internet Explorer.
  • Choose Internet Options.
  • Click on the Advanced tab and then scroll down and go to the Security section.
  • Now Verify that TLS 1.2 enabled (checked). If you see that it’s not enabled then enable it.
  • Click on OK button.
  • Close Internet Explorer and then reopen it. Now sign in to https://qbo.intuit.com

Windows XP or Vista users:  As you already know that you cannot upgrade past Internet Explorer 8 on Windows XP or Vista. You must have to upgrade your OS to a later release that is officially supported by Microsoft.

If TLS 1.2 error continues after .net and TLS 1.2 operations are confirmed

If you still facing this error after confirmed TLS 1.2 process then follow these given steps:

First, you have to configure your Internet Explorer (IE) setting to Avoid TLS error. IE is the default browser for QuickBooks.

Now follow given steps to configure:

  • Click on Tools and then Internet Options.
  • Select delete from the General tab. After that choose Temporary Internet files and Select Delete. (Note – Leave the delete cookies option unselect)
  • Now choose the LAN setting from the Connections tab, select LAN settings.
  • And then Check the box next to Automatically Detect Settings.
  • Ensure that the Proxy servers are blank unless you use one.

Note: You may need to check with your IT administrator.

  • Choose Ok twice.
  • After that scroll down about 3/4 of the way down in the list from the Advanced tab.
    • Ensure that both SSL 2.0 and SSL 3.0 are checked.
    • If checked then you have to clear the box next to Check for publisher’s certificate.
  • Now scroll down from the same Advanced tab towards the bottom.
    • And ensure that TLS 1.2 is unchecked.  If checked, uncheck the checkbox.

I hope this will help you to solve your queries. If you want more discussion on this topic, call us at our toll-free QuickBooks Online support number +1-855-441-4417.



Leave a Reply